Bug 1036619 (CVE-2013-6050) - CVE-2013-6050 links: integer overflow in parsing of HTML tables
Summary: CVE-2013-6050 links: integer overflow in parsing of HTML tables
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2013-6050
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1036621 1036622
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-02 11:16 UTC by Ratul Gupta
Modified: 2019-09-29 13:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:31:04 UTC


Attachments (Terms of Use)
Patch for this vulnerability. (875 bytes, patch)
2013-12-02 11:23 UTC, Ratul Gupta
no flags Details | Diff

Description Ratul Gupta 2013-12-02 11:16:17 UTC
An integer overflow vulnerability was found in the parsing of HTML tables in the Links web browser.
This is only known to be exploited when running Links in graphical mode.

References:
http://seclists.org/fulldisclosure/2013/Nov/217

Comment 1 Ratul Gupta 2013-12-02 11:18:01 UTC
Created links tracking bugs for this issue:

Affects: fedora-all [bug 1036621]
Affects: epel-6 [bug 1036622]

Comment 2 Ratul Gupta 2013-12-02 11:23:31 UTC
Created attachment 831533 [details]
Patch for this vulnerability.

Comment 4 Fedora Update System 2014-12-28 20:43:31 UTC
links-2.8-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-12-29 10:00:32 UTC
links-2.8-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-08 02:31:04 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.